Subject: bug#14030: 24.3; expand-file-name expands remote file name on Windows incorrectly

From: Stefan Monnier <[email-masked]>
Date: Mon, 25 Mar 2013 14:49:49 -0400

>> Sorry, but I think this is a grave bug.
> Agreed, but it might be in the byte-compiler rather than in Tramp.
> At least, nowhere does Tramp seem to request that
> tramp-drop-volume-letter be inlined, so the call should stay in.

I think I know what's going on:
The byte-compiler now optimizes aliases to a function in the same way as
that function (so if you alias `my-add' to `+', (my-add 5 6) can be
optimized to 11 as well).

So your alias to `identity' is optimized just like `identity', IOW it's
compiled away.

This was made on purpose, because it's annoyingly difficult to define
such "optimized alias" without it.
One way around it is to use (lambda (x) x) instead of `identity'.

        Stefan